struct Error: Swift.Error { }
func succeed<Source, Cast>(if _: Source.Type, is _: Cast.Type) throws {
  guard Source.self is Cast.Type else {
    throw Error()
  }
}

protocol Protocol { }
final class Class: Protocol { }

// These succeed in Xcode 11 but fail in Xcode 12.
try? succeed(if: Class.self, is: Protocol.self)
try? succeed(if: String.self, is: Any.self)
